diff --git a/web/pgadmin/browser/static/js/wizard.js b/web/pgadmin/browser/static/js/wizard.js
index 3068572d1..080ae56f2 100644
--- a/web/pgadmin/browser/static/js/wizard.js
+++ b/web/pgadmin/browser/static/js/wizard.js
@@ -184,11 +184,10 @@ define([
 
       /* OnLoad Callback */
       this.onLoad();
-
       setTimeout(function() {
         var container = $(self.el);
         commonUtils.findAndSetFocus(container);
-      }, 100);
+      }, 500);
 
       return this;
     },
@@ -292,6 +291,9 @@ define([
         } else if(event.target.tagName == 'TEXTAREA'){
           $(firstWizardFooterBtn).focus();
         }
+      } else if (event.keyCode === 27){
+        //close the wizard when esc key is pressed
+        $(wizardHeader).find('button.ajs-close').click();
       }
     },
     enableDisableNext: function(disable) {
diff --git a/web/pgadmin/static/js/utils.js b/web/pgadmin/static/js/utils.js
index 86dae698e..3fde1678f 100644
--- a/web/pgadmin/static/js/utils.js
+++ b/web/pgadmin/static/js/utils.js
@@ -38,10 +38,10 @@ export function findAndSetFocus(container) {
           .pgadmin-controls:first input:enabled,
           .pgadmin-controls:first .btn:not(.toggle),
           .ajs-commands:first,
-          .CodeMirror-scroll`)
-        .find('*[tabindex]:not([tabindex="-1"])');
+          .CodeMirror-scroll,
+          .pgadmin-wizard`)
+        .find('*[tabindex]:not([tabindex="-1"]),input:enabled');
     }
-
     if(first_el.length > 0) {
       first_el[0].focus();
     } else {
diff --git a/web/pgadmin/static/vendor/backgrid/backgrid-select-all.js b/web/pgadmin/static/vendor/backgrid/backgrid-select-all.js
index 4e0c5c48b..8cc11698b 100644
--- a/web/pgadmin/static/vendor/backgrid/backgrid-select-all.js
+++ b/web/pgadmin/static/vendor/backgrid/backgrid-select-all.js
@@ -95,10 +95,6 @@
     onKeydown: function (e) {
       var command = new Backgrid.Command(e);
       if (command.passThru()) return true; // skip ahead to `change`
-      if (command.cancel()) {
-        e.stopPropagation();
-        this.checkbox().blur();
-      }
       else if (command.save() || command.moveLeft() || command.moveRight() ||
                command.moveUp() || command.moveDown()) {
 
diff --git a/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js b/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
index 6c581288b..cae2f7c3f 100644
--- a/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
+++ b/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
@@ -428,11 +428,6 @@ define([
               });
 
             },
-            hooks: {
-              onshow: function() {
-                commonUtils.findAndSetFocus($(this.elements.body));
-              },
-            },
 
             prepare: function() {
               var that = this;
